---
title: VRDisplayEvent.reason
slug: Web/API/VRDisplayEvent/reason
tags:
  - API
  - Experimental
  - Property
  - Reference
  - VR
  - VRDisplayEvent
  - Virtual Reality
  - WebVR
  - reason
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>reason</code></strong> read-only property of the {{domxref("VRDisplayEvent")}} interface returns a human-readable reason why the event was fired.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myReason = vrDisplayEventInstance.reason;</pre>

<h3 id="Value">Value</h3>

<p>A string representing the reason why the event was fired. The available reasons are defined in the <code><a href="https://w3c.github.io/webvr/spec/1.1/#interface-vrdisplayeventreason">VRDisplayEventReason</a></code> enum, and are as follows:</p>

<ul>
 <li><code>mounted</code> — The {{domxref("VRDisplay")}} has detected that the user has put it on (or it has been otherwise activated).</li>
 <li><code>navigation</code> — The page has been navigated to from a context that allows this page to begin presenting immediately, such as from another site that was already in VR presentation mode.</li>
 <li><code>requested</code> — The user agent has requested that VR presentation mode be started. This allows user agents to include a consistent UI to enter VR across different sites.</li>
 <li><code>unmounted</code> — The {{domxref("VRDisplay")}} has detected that the user has taken it off (or it has been otherwise slept/put on standby).</li>
</ul>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VRDisplayEvent", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrdisplayeventinit-reason', 'reason')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRDisplayEvent.reason")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
